<?php

namespace Drupal\uc_gc_client\Form;

use Drupal\Core\Form\FormStateInterface;
use Drupal\Core\Form\FormBase;
use Drupal\Core\Config\ConfigFactoryInterface;
use Symfony\Component\DependencyInjection\ContainerInterface;

/**
 *
 */
class CheckoutReviewForm extends FormBase {

  /**
   * Constructs a new CountriesForm object.
   *
   * @param \Drupal\Core\Config\ConfigFactoryInterface $configFactory
   *   The config factory.
   */
  public function __construct(ConfigFactoryInterface $configFactory) {
    $this->config = $configFactory->get('uc_gc_client.settings')->get();
  }

  /**
   * {@inheritdoc}
   */
  public static function create(ContainerInterface $container) {
    return new static(
      $container->get('config.factory')
    );
  }

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'uc_gc_client_checkout_review_form';
  }

  /**
   * {@inheritdoc}
   *
   * Returns the elements for the checkout review form.
   */
  public function buildForm(array $form, FormStateInterface $form_state, $order = NULL) {
    // Provide a submit button for the Checkout review form.
    $form['gocardless_link'] = [
      '#type' => 'submit',
      '#value' => $this->config['checkout_label'],
    ];
    $form['#submit'][] = 'uc_gc_client_checkout_form_submit';
    return $form;
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {}

}
